# Save Or Update Plugin Config

Save or Update Plugin Config

Endpoint: POST /v1/app-config
Version: 1.0
Security: x-api-key

## Header parameters:

  - `Harness-Account` (string)
    Identifier field of the account the resource is scoped to.

## Request fields (application/json):

  - `app_config` (object, required)

  - `app_config.config_id` (string, required)

  - `app_config.configs` (string, required)

  - `app_config.enabled` (boolean)

  - `app_config.enabled_disabled_at` (integer)

  - `app_config.created` (integer)

  - `app_config.updated` (integer)

  - `app_config.env_variables` (array, required)

  - `app_config.env_variables.identifier` (string)

  - `app_config.env_variables.env_name` (string, required)

  - `app_config.env_variables.created` (integer)

  - `app_config.env_variables.updated` (integer)

  - `app_config.env_variables.type` (string, required)
    This specifies the type of backstage env variable
    Enum: "Secret", "Config"

  - `app_config.env_variables.harness_secret_identifier` (string, required)

  - `app_config.env_variables.is_deleted` (boolean)

  - `app_config.config_name` (string, required)

  - `app_config.proxy` (array)

  - `app_config.proxy.host` (string, required)

  - `app_config.proxy.proxy` (boolean, required)

  - `app_config.proxy.selectors` (array)

  - `app_config.proxy.identifier` (string)

  - `app_config.proxy.pluginId` (string)

## Response 200 fields (application/json):

  - `app_config` (object, required)


